### Virtual Method

# Atk StreamableContent get_stream

#### Declaration [src]

    GIOChannel*
    get_stream (
      AtkStreamableContent* streamable,
      const gchar* mime_type
    )

#### Description [src]

Gets the content in the specified mime type.

#### Parameters

`mime_type`

  Type: `const gchar*`

  A gchar* representing the mime type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIOChannel`

A `GIOChannel` which contains the content in the specified mime type.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.